Marketers
Marketers entities and endpoints of the Amplify API.
Marketers are representatives of Outbrain customers. A single Marketer object may control campaigns for more than one end-buyer.
Marketers cannot be created via the API and must be created via the site or by an Outbrain Account Manager.
Marketer
The Marketer object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| id | String | The Marketer's id | "00f4b02153ee75f3c9dc4fc128ab041962" |
| name | String | The Marketer's name | "my marketer" |
| enabled | Boolean | true when the Marketer is enabled | true |
| lastModified | Time | The time when the Marketer was last modified. | "2013-03-16 10:32:31" |
| creationTime | Time | The time when the Marketer was created. | "2013-01-14 07:19:16" |
| blockedSites | Marketer Blocked Sites | A property containing lists of blocked publishers and / or sections. The publishers and sections ids can be retrieved from the Publisher Performance Reporting section | |
| bids | Bids | A property containing all marketer's CPC adjustments | |
| dynamicRetargeting | Dynamic Retargeting | Dynamic retargeting settings of the marketer | |
| account | Account | A property containing all marketer's account details | |
| logoMetadata | Logo Meta Data | The Marketer's brand logo. Copied onto new PromotedLinks that don't set their own |
Endpoints
- Retrieve a Single Marketer —
GET /marketers/{id} - Update a Single Marketer —
PUT /marketers/{id}
Marketers collection
Endpoints
- List Marketers —
GET /marketers